Bug 1125188 - [engine-setup] explain - Substitute <country>, <organization> to suite your environment
Summary: [engine-setup] explain - Substitute <country>, <organization> to suite your e...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-installer
Version: 3.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.5.1
Assignee: Simone Tiraboschi
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 09:31 UTC by Jiri Belka
Modified: 2015-01-21 16:04 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.1_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 16:04:54 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 33195 master ABANDONED packaging: setup: printing an hint about CA subject Never
oVirt gerrit 33196 ovirt-engine-3.5 ABANDONED packaging: setup: printing an hint about CA subject Never
oVirt gerrit 33775 master MERGED packaging: setup: Use common code for remote wsp pki Never
oVirt gerrit 33940 ovirt-engine-3.5 MERGED packaging: setup: using engine-common in websocketproxy plugins Never
oVirt gerrit 33941 ovirt-engine-3.5 MERGED packaging: setup: Use common code for remote wsp pki Never

Description Jiri Belka 2014-07-31 09:31:25 UTC
Description of problem:
         
          2. execute, on the engine host, this command to enroll the cert:
           /usr/share/ovirt-engine/bin/pki-enroll-request.sh \
               --name=websocket-proxy-jb-onqa.rhev.lab.eng.brq.redhat.com \
               --subject="/C=<country>/O=<organization>/CN=jb-onqa.rhev.lab.eng.brq.redhat.com"
          Substitute <country>, <organization> to suite your environment
          (i.e. the values must match values in the certificate authority of your engine)
                    ^^^^^^^^^^^^^^^^^^^^^^^^^^ - this can be mystic for
                                                 people who don't know what
                                                 this is.

Add an example how to get the values from CA certs.

Example:

# openssl x509 -in /etc/pki/ovirt-engine/certs/ca.der -subject | head -n1
subject= /C=US/O=rhev.lab.eng.brq.redhat.com/CN=jb-ovirt35.rhev.lab.eng.brq.redhat.com.49369

Version-Release number of selected component (if applicable):
ovirt-engine-setup-plugin-websocket-proxy-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. imagine you don't know what C=<value>/O=<value> is
2. 
3.

Actual results:
lost

Expected results:
either there should be a hint to get those value or there should be a documentation (but u/s doesn't have one)

Additional info:

Comment 1 Sandro Bonazzola 2015-01-15 14:14:30 UTC
This is an automated message: 
This bug should be fixed in oVirt 3.5.1 RC1, moving to QA

Comment 2 Sandro Bonazzola 2015-01-21 16:04:54 UTC
oVirt 3.5.1 has been released. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.